def all_thing_is_obj(object: any) -> int:
    # https://docs.python.org/3.10/library/functions.html?highlight=type#type
    ofType = type(object)

    # https://docs.python.org/3.10/tutorial/controlflow.html#match-statements
    match object:
        # class patterm : check against a class (check if instance when empty arguments) https://docs.python.org/3/reference/compound_stmts.html#class-patterns
        case list():
            print("List : ", ofType)
        case tuple():
            print("Tuple : ", ofType)
        case set():
            print("Set : ", ofType)
        case dict():
            print("Dict : ", ofType)
        case str():
            print(object + " is in the kitchen : ", ofType)
        case _:
            print("Type not found")
    return 42